RDCode: RDKit::MorganFingerprints Namespace Reference

# RDKit::MorganFingerprints Namespace Reference

## Functions
SparseIntVect< boost::uint32_t > * | getFingerprint (const ROMol &mol, unsigned int radius, std::vector< boost::uint32_t > *invariants=0, const std::vector< boost::uint32_t > *fromAtoms=0)
| returns the Morgan fingerprint for a molecule
void | getConnectivityInvariants (const ROMol &mol, std::vector< boost::uint32_t > &invars, bool includeRingMembership=false)
| returns the connectivity invariants for a molecule
## Variables
const std::string | morganFingerprintVersion = "0.1.0"

## Function Documentation

void RDKit::MorganFingerprints::getConnectivityInvariants | ( | const ROMol & | mol,
|  | std::vector< boost::uint32_t > & | invars,
|  | bool | includeRingMembership = `false` |
| ) |  |  |

returns the connectivity invariants for a molecule

Parameters:

  | mol,: | the molecule to be considered
  | invariants | : used to return the results
  | includeRingMembership | : if set, whether or not the atom is in a ring will be used in the invariant list.

SparseIntVect<boost::uint32_t>* RDKit::MorganFingerprints::getFingerprint | ( | const ROMol & | mol,
|  | unsigned int | radius,
|  | std::vector< boost::uint32_t > * | invariants = `0`,
|  | const std::vector< boost::uint32_t > * | fromAtoms = `0` |
| ) |  |  |

returns the Morgan fingerprint for a molecule

These fingerprints are similar to the well-known ECFP or FCFP fingerprints, depending on which invariants are used.

The algorithm used is described in the paper D. Rogers, R.D. Brown, M. Hahn J. Biomol. Screen. 10:682-6 (2005) and in more detail in an unpublished technical report: http://www.ics.uci.edu/~welling/teaching/ICS274Bspring06/David%20Rogers%20-%20ECFP%20Manuscript.doc

Parameters:

  | mol,: | the molecule to be fingerprinted
  | radius,: | the number of iterations to grow the fingerprint
  | invariants | : optional pointer to a set of atom invariants to be used. By default ECFP-type invariants are used (calculated by getConnectivityInvariants())
  | fromAtoms | : if this is provided, only the atoms in the vector will be used as centers in the fingerprint

Returns:
  a pointer to the fingerprint. The client is responsible for calling delete on this.

## Variable Documentation

const std::string RDKit::MorganFingerprints::morganFingerprintVersion = "0.1.0"

Definition at line 49 of file MorganFingerprints.h.